summaryrefslogtreecommitdiff
path: root/tests/touch/dir-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/touch/dir-1')
-rwxr-xr-xtests/touch/dir-112
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/touch/dir-1 b/tests/touch/dir-1
new file mode 100755
index 0000000..bbfbd68
--- /dev/null
+++ b/tests/touch/dir-1
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Make sure touch can operate on a directory.
+# This was broken in the 4.0[efg] test releases.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ touch --version
+fi
+
+fail=0
+touch . || fail=1
+exit $fail